## com.ericsson.otp.ic
Class RefHelper

    java.lang.Object
      |
      +--com.ericsson.otp.ic.RefHelper

public class RefHelper
extends java.lang.Object

Helper class for Ref.

Method Summary
`static Ref` `extract(Any _any)` Standard method for extracting a Ref from an Any.
`static java.lang.String` `id()` Standard method that returns the interface repository identity.
`static void` `insert(Any _any, Ref _this)` Standard method for inserting a Ref to an Any.
`static void` `marshal(com.ericsson.otp.erlang.OtpOutputStream _out, Ref _value)` Marshal method for the Ref class, encodes the Ref object to the output stream.
`static java.lang.String` `name()` Standard method that returns the Ref class name.
`static TypeCode` `type()` Standard TypeCode accessor method.
`static Ref` `unmarshal(com.ericsson.otp.erlang.OtpInputStream _in)` Unmarshal method for the Ref class, decodes a Ref object from the stream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### marshal

    public static void marshal(com.ericsson.otp.erlang.OtpOutputStream _out,
                               Ref _value)
                        throws java.lang.Exception

  Marshal method for the Ref class, encodes the Ref object to the output stream.

### unmarshal

    public static Ref unmarshal(com.ericsson.otp.erlang.OtpInputStream _in)
                         throws java.lang.Exception

  Unmarshal method for the Ref class, decodes a Ref object from the stream.
  Returns:
    Ref, read from the input stream

### id

    public static java.lang.String id()

  Standard method that returns the interface repository identity.
  Returns:
    String containing the interface repository identity of Ref

### name

    public static java.lang.String name()

  Standard method that returns the Ref class name.
  Returns:
    String containing the class name of Ref

### type

    public static TypeCode type()

  Standard TypeCode accessor method.
  Returns:
    the TypeCode for Ref

### insert

    public static void insert(Any _any,
                              Ref _this)
                       throws java.lang.Exception

  Standard method for inserting a Ref to an Any.

### extract

    public static Ref extract(Any _any)
                       throws java.lang.Exception

  Standard method for extracting a Ref from an Any.
  Returns:
    Ref, the value found in an Any contained stream.

Copyright © 1991-2007 Ericsson AB